For the complete documentation index, see llms.txt.
Shipments
POST
/api/orders/commercialinvoicesCreate Commercial Invoices
Create commercial invoice PDFs for one or more orders.
Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/commercialinvoices
Request body
{
"order_ids": [
1020304051,
1020304052
]
}Response examples
Create Commercial Invoices (200)
{
"invoiceList": [
{
"order_id": 1020304051,
"order_name": "10001",
"invoice_base64_string": "JVBERi0x...",
"invoice_type": "PDF"
}
],
"success": true
}